#resource "proxmox_vm_qemu" "vm-student-1" {
#    name = "sbx-srv-student01"
#
#    # Node name has to be the same name as within the cluster
#    # this might not include the FQDN
#    target_node = "pve"
#
#    # The template name to clone this vm from
#    clone = "temp-debian-13"
#
#    # Activate QEMU agent for this VM
#    agent = 1
#
#    os_type = "cloud-init"
#    vmid = 0
#    
#    cpu {
#        cores = 2
#        sockets = 1
#        type = "host"
#    }
#    memory      = 2048
#    scsihw      = "virtio-scsi-single"
#
#    # Setup the disk
#    disks {
#      scsi {
#        scsi0 {
#          # We have to specify the disk from our template, else Terraform will think it's not supposed to be there
#          disk {
#            storage = "local-zfs"
#            # The size of the disk should be at least as big as the disk in the template. If it's smaller, the disk will be recreated
#            size    = "8G" 
#          }
#        }
#      }
#      ide {
#        # Some images require a cloud-init disk on the IDE controller, others on the SCSI or SATA controller
#        ide1 {
#          cloudinit {
#            storage = "local-zfs"
#          }
#        }
#      }
#    }    
#    # Setup the network interface and assign a vlan tag: 256
#
#    network {
#        id = 0
#        model = "virtio"
#        bridge = "vmbr1"
#        macaddr   = "bc:24:11:de:ca:28"
#    }
#
#    boot = "order=scsi0"
#
#    # Setup the ip address using cloud-init.
#    # Keep in mind to use the CIDR notation for the ip.
#    ipconfig0 = "ip6=auto"
#    ciuser = "sbxadmin"
#    cicustom   = "vendor=local:snippets/qemu-guest-agent.yml" # /var/lib/vz/snippets/qemu-guest-agent.yml
#    ciupgrade  = true
#
#    sshkeys = <<EOF
#      ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIFbNAiSIW7pAVTsUPwkeyvhCSpNJ6HCLXlS8+jQOag4r niall@sbx-win
#    EOF
#}
